﻿using System;
using System.Collections.Generic;
using powerJobs.Common.Applications;

namespace $safeprojectname$
{
	public class Application : ApplicationBase
	{
		public Application()
		{
			Exporter = new Exporter(this);
		}

		public override string Name
		{
			get { return "$projectname$"; }
		}

		public override HashSet<string> SupportedFileTypes
		{
			get { return new HashSet<string>(); } //speficy which file formats are supported from this application, e.g. ".exe", ".ico", ".iso", ".png"
		}
		
		public override bool IsRunning
		{
			get { return true; } //return the information whether the application is running or not. powerJobs Processor detects if the application has to be restarted
		}

		public override void Start()
		{
			// initialize and start the application preferably in silent mode
		}

		protected override bool IsInstalled_Internal()
		{
			return true; //check if the application is installed, for instance within the registry
		}

		protected override IDocument OpenDocument_Internal(OpenDocumentSettings openSettings)
		{
			//open the file with the passed settings
			throw new NotImplementedException();
		}

		protected override void Stop_Internal()
		{
			if (IsRunning)
			{
				//Close the application and dispose all its resources
			}
		}
	}
}